Loading...
Searching...
No Matches
gx_internal_plugins.h File Reference
`#include "gx_neural_plugins.h"`
`#include "faust/low_high_cut.h"`
`#include "faust/jconv_post.h"`
`#include "faust/jconv_post_mono.h"`
`#include "faust/cabinet_impulse_former.h"`
`#include "faust/cabinet_impulse_former_st.h"`
`#include "faust/preamp_impulse_former.h"`
`#include "faust/preamp_impulse_former_st.h"`
`#include "faust/presence_level.h"`
`#include "faust/drumseq.h"`

Go to the source code of this file.

## Classes

class | gx_engine::MonoMute
class | gx_engine::StereoMute
class | gx_engine::MaxLevel
class | gx_engine::TunerAdapter
class | gx_engine::NoiseGate
class | gx_engine::OutPutGate
class | gx_engine::OscilloscopeInfo
class | gx_engine::ParameterV< OscilloscopeInfo >
class | gx_engine::OscilloscopeAdapter
class | gx_engine::GxSeqSettings
class | gx_engine::ParameterV< GxSeqSettings >
class | gx_engine::GxJConvSettings
class | gx_engine::ParameterV< GxJConvSettings >
class | gx_engine::ConvolverAdapter
class | gx_engine::ConvolverStereoAdapter
class | gx_engine::ConvolverMonoAdapter
class | gx_engine::BaseConvolver
class | gx_engine::FixedBaseConvolver
class | gx_engine::CabinetConvolver
class | gx_engine::CabinetStereoConvolver
class | gx_engine::PreampConvolver
class | gx_engine::PreampStereoConvolver
class | gx_engine::ContrastConvolver
class | gx_engine::LV2Features
struct | gx_engine::paradesc
class | gx_engine::plugdesc
class | gx_engine::LadspaLoader
class | gx_engine::Directout
class | gx_engine::LiveLooper
class | gx_engine::LiveLooper::FileResampler
class | gx_engine::SCapture
class | gx_engine::Drumout
class | gx_engine::DrumSequencer
class | gx_engine::smbPitchShift

## Namespaces

namespace | gx_jack
namespace | gx_engine

## Macros

#define | M_PI 3.14159265358979323846
#define | MAX_FRAME_LENGTH 8096

## Typedefs

typedef ParameterV< OscilloscopeInfo > | gx_engine::OscParameter
typedef ParameterV< GxSeqSettings > | gx_engine::SeqParameter
typedef ParameterV< GxJConvSettings > | gx_engine::JConvParameter

## Enumerations

enum | gx_engine::widget_type { gx_engine::tp_scale , gx_engine::tp_scale_log , gx_engine::tp_toggle , gx_engine::tp_enum , gx_engine::tp_display , gx_engine::tp_display_toggle , gx_engine::tp_none , gx_engine::tp_int , gx_engine::tp_enabled , gx_engine::tp_atom }
enum | gx_engine::quirkflag { gx_engine::need_activate = 1 , gx_engine::no_cleanup = 2 , gx_engine::is_lv2 = 4 }

## Macro Definition Documentation

## M_PI

#define M_PI 3.14159265358979323846

Definition at line 1195 of file gx_internal_plugins.h.

## MAX_FRAME_LENGTH

#define MAX_FRAME_LENGTH 8096

Definition at line 1196 of file gx_internal_plugins.h.